Subject: Re: [lojban] Tidying notes on {goi}

From: [email-masked]
Date: Thu, 26 Jul 2001 15:19:02 EDT

In a message dated 7/26/2001 12:22:42 PM Central Daylight Time, 
[email-masked] writes:

> ><
> > ro da poi prenu zo'u da prami su'o da
> >
> >Is that {ro da poi prenu zo'u da prami da}, or is it
> >{ro da poi prenu ku'o ro de poi prenu zo'u da prami de}?>
> >
> >The latter
> 
> I'm relieved to hear that. The second quantifier then
> _does_ bind a new variable, only one with the same
> poi-restriction as the previous one.
> 
> Then {su'o da poi prenu zo'u da prami su'o da} means
> {su'o da poi prenu ku'o su'o de poi prenu zo'u da prami de}
> and therefore {su'o da goi la alfas su'o da goi la betas},
> given that there are no poi-restrictions, does mean the same
> as {su'o da goi la alfas su'o de goi la betas}.
> 

Well, no. My answer was for the particular case where the first quantifier 
was {ro} and so took in all the prenu. With other initial quantifiers, it 
works out that the retriction attached to the second use is that they all are 
among those selected by the first quantifier, i.e. roughly {su'o da poi 
prenu su'o de po'u da zo'u} (I'm not sure this will exactly work until I run 
the expansion, which I am too lazy to do just now). That is, once {da} is 
set up as a term, quantifiers work on it as they do on other terms {lo broda} 
for example.
I am unsure what that would mean for the {goi} case; probably gobbledygook 
unless la alphas was the same entity as la betas. What does {ko'a goi la 
alfas ko'a goi la betas} mean: {da} should be the same.

<On a related issue, what happens here: {su'o da goi xy ...
da'o ... xy}. Does da'o clear the xy assignment? Presumably
it does, as it clears all pro-sumti, doesn't it? But da'o
is not necessary to use da again, all that is necessary is
a new quantifier.>

Yes {da'o} clears the xy assignment and the subsequent {da} is a new 
quantifier, not now restricted to xy. But without the {da'o} (or other 
devices for clearing assignments), even {ro da} would be restricted to xy.

I think. This is expansion of Book 16:14 (pp 410-1)